Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.io
Class Encoding

    java.lang.Object
      juzu.io.Encoding

    public abstract class Encoding

extends Object

Author:
  Julien Viet

Field Summary
`static Encoding` | `RFC3986` .

Constructor Summary
`Encoding(String displayName)`

Method Summary
`abstract void` | `encodeQueryParamName(CharSequence s, Appendable appendable)`
`abstract void` | `encodeQueryParamValue(CharSequence s, Appendable appendable)`
`abstract void` | `encodeSegment(CharSequence s, Appendable appendable)`
`String` | `getDisplayName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RFC3986

    public static final Encoding RFC3986

  .

Constructor Detail

### Encoding

    public Encoding(String displayName)

Method Detail

### getDisplayName

    public String getDisplayName()

### encodeSegment

    public abstract void encodeSegment(CharSequence s,
                                       Appendable appendable)
                                throws IOException

  Throws:
    `IOException`

### encodeQueryParamName

    public abstract void encodeQueryParamName(CharSequence s,
                                              Appendable appendable)
                                       throws IOException

  Throws:
    `IOException`

### encodeQueryParamValue

    public abstract void encodeQueryParamValue(CharSequence s,
                                               Appendable appendable)
                                        throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 eXo Platform SAS. All rights reserved.